// A map of our mobile-first breakpoints
$sizes: (
  size-base-up: 0px,
  size-xsmall-up: 600px,
  size-small-up: 768px,
  size-medium-up: 1024px,
  size-large-up: 1400px
);

// Accepts a named breakpoint, and renders mixin's content
// inside a media query for that size
@mixin forSize($breakpoint) {
  @if $breakpoint == base-up {
    @content;
  }
  @else {
    @media (min-width: map-get($sizes, "size-" + $breakpoint)) {
      @content;
    }
  }
}